	.section ".text",#alloc,#execinstr
	.align	8
	.skip	16

	.global heap_panic
	.type	heap_panic,2
heap_panic:
	unimp
	nop

	.align	8
	.global malloc
	.type	malloc,2
malloc:
	save	%sp,-96,%sp
	or	%g0,%i0,%o0
	or	%g0,%i7,%o1
	call	idh_malloc
	nop
	or	%g0,%o0,%i0
	ret
	restore

	.align	8
	.global free
	.type	free,2
free:
	save	%sp,-96,%sp
	or	%g0,%i0,%o0
	or	%g0,%i7,%o1
	call	idh_free
	nop
	ret
	restore

	.align	8
	.global realloc
	.type	realloc,2
realloc:
	save	%sp,-96,%sp
	or	%g0,%i0,%o0
	or	%g0,%i1,%o1
	or	%g0,%i7,%o2
	call	idh_realloc
	nop
	or	%g0,%o0,%i0
	ret
	restore

	.align	8
	.global calloc
	.type	calloc,2
calloc:
	save	%sp,-96,%sp
	or	%g0,%i0,%o0
	or	%g0,%i1,%o1
	or	%g0,%i7,%o2
	call	idh_calloc
	nop
	or	%g0,%o0,%i0
	ret
	restore

	.align	8
	.global valloc
	.type	valloc,2
valloc:
	save	%sp,-96,%sp
	or	%g0,%i0,%o0
	or	%g0,%i7,%o1
	call	idh_valloc
	nop
	or	%g0,%o0,%i0
	ret
	restore

	.align	8
	.global strdup
	.type	strdup,2
strdup:
	save	%sp,-96,%sp
	or	%g0,%i0,%o0
	or	%g0,%i7,%o1
	call	idh_strdup
	nop
	or	%g0,%o0,%i0
	ret
	restore
