	.file "callpeek.s"
.text
	.align 4
.globl	heap_panic
	.type heap_panic,@function
heap_panic:
	int3


	.align 4
.globl	malloc
	.type malloc,@function
malloc:
	pushl %ebp
	movl %esp,%ebp
	pushl 4(%ebp)
	pushl 8(%ebp)
	call idh_malloc
	leave
	ret

	.align 4
.globl	free
	.type free,@function
free:
	pushl %ebp
	movl %esp,%ebp
	pushl 4(%ebp)
	pushl 8(%ebp)
	call idh_free
	leave
	ret

	.align 4
.globl	realloc
	.type realloc,@function
realloc:
	pushl %ebp
	movl %esp,%ebp
	pushl 4(%ebp)
	pushl 12(%ebp)
	pushl 8(%ebp)
	call idh_realloc
	leave
	ret

	.align 4
.globl	calloc
	.type calloc,@function
calloc:
	pushl %ebp
	movl %esp,%ebp
	pushl 4(%ebp)
	pushl 12(%ebp)
	pushl 8(%ebp)
	call idh_calloc
	leave
	ret

	.align 4
.globl	valloc
	.type valloc,@function
valloc:
	pushl %ebp
	movl %esp,%ebp
	pushl 4(%ebp)
	pushl 8(%ebp)
	call idh_valloc
	leave
	ret

	.align 4
.globl	strdup
	.type strdup,@function
strdup:
	pushl %ebp
	movl %esp,%ebp
	pushl 4(%ebp)
	pushl 8(%ebp)
	call idh_strdup
	leave
	ret
